import { QueryClient, QueryClientProvider } from "@tanstack/react-query";
import RouterOutlet from "./router/router";

const queryClient = new QueryClient({
  defaultOptions: {
    queries: {
      refetchOnWindowFocus: true,
    },
  },
});

export default function App() {
  return (
    <QueryClientProvider client={queryClient}>
      <RouterOutlet />
    </QueryClientProvider>
  );
}
