import { Game } from "../types/game"
import { Get } from "./api"

export async function GetFixtureGames(fixtureSlug: string): Promise<Game[]> {
  const raw = await Get<Game[]>({
    endpoint: `/api/fixture/${fixtureSlug}/games`,
  })
  return raw
    .sort(
      (a: Game, b: Game) =>
        new Date(a.date).getTime() - new Date(b.date).getTime()
    )
    .filter((game: Game) => {
      return game.awayTeam.slug !== "" && game.homeTeam.slug !== ""
    })
}
