import Player from "../types/player"
import { Post } from "./api"

export interface SingleRankingsParams {
  startDate: Date
  position: string
  competitions: string[]
  zones: number[]
  onlyClubGames: boolean
  onlyStarting: boolean
  minGameCount: number
  minTeamGamesPlayedPercentage: number
  order: string
  limit: number
  rarity: string
  u23: boolean
  minTotalMinutes: number
  minAge: number
  maxAge: number
  hasGameInNextGw: boolean
}

export interface SingleRanking {
  playerSlug: string
  teamSlug: string
  avgTeamGoalsFor: number
  avgTeamGoalsAgainst: number
  totalAvgScore: number
  decisiveAvgScore: number
  allAroundAvgScore: number
  minScore: number
  maxScore: number
  totalStddevScore: number
  gameUsedInStatsCount: number
  gameStartedCount: number
  gameBenchedPlayedCount: number
  gameBenchedUnplayedCount: number
  teamsGameCount: number
  totalPossibleMinutes: number
  percentageMinutesPlayed: number
  stackPlayPercentage: number
  floor: number
  moreThan80Score: number
  moreThan70Score: number
  moreThan60Score: number
  moreThan50Score: number
  decisiveCount: number
  moreThan40AA: number
  moreThan30AA: number
  moreThan20AA: number
  moreThan10AA: number
  moreThan80ScorePercentage: number
  moreThan70ScorePercentage: number
  moreThan60ScorePercentage: number
  moreThan50ScorePercentage: number
  decisiveCountPercentage: number
  moreThan40AAPercentage: number
  moreThan30AAPercentage: number
  moreThan20AAPercentage: number
  moreThan10AAPercentage: number
  aaPerMin: number
  duelWonPer90Min: number
  effectiveClearancePer90Min: number
  shotOnTargetPer90Min: number
  accuratePassPer90Min: number
  wonContestPer90Min: number
  totalMinutes: number
  scores: number[]
  player: Player
}

export async function GetSingleRankings(
  options: SingleRankingsParams
): Promise<SingleRanking[]> {
  return await Post<SingleRanking[]>({
    endpoint: "/api/rankings/single",
    body: options,
  })
}
