import Player, { Membership } from "../types/player"
import Team from "../types/team"
import { Get } from "./api"

export async function GetTeam(slug: string): Promise<Team> {
  const raw = await Get<Team>({
    endpoint: `/api/team/${slug}`,
  })
  return raw
}

export interface TeamRosterResponse {
  team: Team
  roster: Player[]
}

export async function GetTeamRoster(slug: string): Promise<TeamRosterResponse> {
  const raw = await Get<TeamRosterResponse>({
    endpoint: `/api/team/${slug}/roster`,
  })
  return raw
}

export interface TeamMembershipsResponse {
  team: Team
  memberships: Membership[]
}

export async function GetTeamMemberships(
  slug: string
): Promise<TeamMembershipsResponse> {
  const raw = await Get<TeamMembershipsResponse>({
    endpoint: `/api/team/${slug}/memberships`,
  })
  return raw
}
