import { Link } from "react-router-dom"

export default function Badge({
  imgUrl,
  name,
  imgHeight = "full",
  link = "",
}: {
  imgUrl?: string
  name?: string
  imgHeight?: string
  link?: string
}) {
  return link ? (
    <Link to={link}>
      <div className="flex h-8 items-center gap-3 rounded-full border border-neutral-300 bg-gradient-to-r from-primary-blue-200 to-neutral-50 px-3 py-1 shadow-md">
        <img src={imgUrl} className={`h-${imgHeight}`} />
        <span className="text-sm">{name}</span>
      </div>
    </Link>
  ) : (
    <div className="flex h-8 items-center gap-3 rounded-full border border-neutral-300 bg-gradient-to-r from-primary-blue-200 to-neutral-50 px-3 py-1 shadow-md">
      <img src={imgUrl} className={`h-${imgHeight}`} />
      <span className="text-sm">{name}</span>
    </div>
  )
}
