import React from "react";

interface InputWrapperProps {
  label: string;
  id: string;
  children: React.ReactNode;
  className?: string;
}

function InputWrapper({
  label,
  id,
  children,
  className = "",
}: InputWrapperProps) {
  return (
    <div className={className}>
      <label
        className="block text-neutral-700 text-xs font-bold mb-1 pl-1"
        htmlFor={id}
      >
        {label}
      </label>
      {children}
    </div>
  );
}

export default InputWrapper;
