import InputWrapper from "./input_wrapper";

interface NumericInputProps {
  value: number;
  onChange: (value: number) => void;
  label: string;
  placeholder?: string;
  id: string;
  classname?: string;
}
export default function NumericInput({
  value,
  onChange,
  label,
  placeholder = label,
  id,
  classname = "",
}: NumericInputProps) {
  return (
    <InputWrapper label={label} id={id} className={classname}>
      <input
        defaultValue={value}
        className="bg-neutral-50 shadow border border-neutral-300 rounded-lg w-40 py-2 pl-3 pr-2 text-neutral-900 text-sm focus:ring-primary-blue-300 focus:border-primary-blue-300"
        id={id}
        type="number"
        placeholder={placeholder}
        onChange={(e) => {
          onChange(parseInt(e.target.value));
        }}
      />
    </InputWrapper>
  );
}
