import React from "react"

interface CardIconProps {
  size?: number
  color?: string
}

const CardIcon: React.FC<CardIconProps> = ({
  size = 16,
  color = "currentColor",
}) => {
  return (
    <svg
      xmlns="http://www.w3.org/2000/svg"
      width={size}
      height={size}
      viewBox="0 0 18 24"
      fill={color}
    >
      <rect x="2" y="2" width="14" height="20" rx="2" ry="2" />
    </svg>
  )
}

export default CardIcon
