import { GetScoreColor } from "../../../types/game"

export default function ScoreBox({
  score,
  colorfunc,
}: {
  score: number
  colorfunc?: (score: number, tailwind: boolean) => string
}) {
  if (!colorfunc) colorfunc = GetScoreColor
  return (
    <div
      className={`inline-flex h-8 w-10 items-center justify-center rounded-xl border p-4 text-center ${colorfunc(
        score,
        true
      )}`}
    >
      <span className={"text-sm font-bold text-white"}>
        {Number(score).toFixed(0)}
      </span>
    </div>
  )
}
