import Badge from "../../components/badge"
import Team from "../../types/team"

export default function Sidebar({ team }: { team: Team }) {
  return (
    <div className="flex flex-col items-center gap-3 border-r border-r-neutral-300 bg-gradient-to-b from-neutral-100 to-neutral-50 p-3 text-neutral-700  shadow-md">
      <div className="flex h-32 w-32 items-center justify-center overflow-hidden rounded-full border bg-neutral-50 p-3">
        <img
          src={team.pictureUrl}
          className="h-full w-full scale-[1.16] object-contain"
        />
      </div>

      <span className="font-secondary text-lg font-semibold">
        {team.displayName}
      </span>
      <Badge
        imgUrl={team.country?.flagFlat64Url}
        name={team.country?.displayName}
        imgHeight="4"
      />
      <Badge
        imgUrl={team.domesticLeague?.pictureUrl}
        name={team.domesticLeague?.displayName}
      />
    </div>
  )
}
