import Competition from "./competition"
import Country from "./country"
import { GamePlayer } from "./game"
import Team from "./team"

interface CardSupply {
  playerSlug: string
  seasonStartYear: number
  limited: number
  rare: number
  superRare: number
  unique: number
  lastUpdated: Date
}
export interface Membership {
  id: string
  playerSlug: string
  teamSlug: string
  startDate: Date
  endDate: Date
  membershipType: string

  player?: Player
  team?: Team
}

export default interface Player {
  slug: string
  displayName: string
  birthDate: Date
  countrySlug: string
  teamSlug?: string
  domesticLeagueSlug?: string
  avatarUrl: string
  fieldPosition: string
  status: string
  shirtNumber: number
  country?: Country
  team?: Team
  domesticLeague?: Competition
  cardSupply: CardSupply[]
  clubMembership: Membership[]

  gamePlayers: GamePlayer[]
}
