package model

type Competition struct {
	Slug              string `bun:"slug,pk"            json:"slug"`
	DisplayName       string `bun:"display_name"       json:"displayName"`
	CountrySlug       string `bun:"country_slug"       json:"countrySlug"`
	CompetitionFormat string `bun:"competition_format" json:"competitionFormat"`
	CompetitionType   string `bun:"competition_type"   json:"competitionType"`
	PictureUrl        string `bun:"picture_url"        json:"pictureUrl"`
	LogoUrl           string `bun:"logo_url"           json:"logoUrl"`
	ZoneId            *int   `bun:"zone_id,scanonly"   json:"zoneId"`

	Country *Country `bun:"rel:has-one,join:country_slug=slug" json:"country"`
	Zone    *Zone    `bun:"rel:has-one,join:zone_id=id"        json:"zone"`
}
