package model

import (
	"time"

	"github.com/shopspring/decimal"
)

type GamePlayerScore struct {
	GameID                 string          `bun:"game_id,pk"                 json:"gameID"`
	PlayerSlug             string          `bun:"player_slug,pk"             json:"playerSlug"`
	GameDate               time.Time       `bun:"game_date,pk"                  json:"gameDate"`
	Score                  decimal.Decimal `bun:"score"                      json:"score"`
	DecisiveScore          decimal.Decimal `bun:"decisive_score"             json:"decisiveScore"`
	AllAroundScore         decimal.Decimal `bun:"all_around_score"           json:"allAroundScore"`
	MinutesPlayed          int             `bun:"minutes_played"             json:"minutesPlayed"`
	GameStarted            bool            `bun:"game_started"               json:"gameStarted"`
	FormationPlace         int             `bun:"formation_place"            json:"formationPlace"`
	Live                   bool            `bun:"live"                       json:"live"`
	OnGameSheet            bool            `bun:"on_game_sheet"              json:"onGameSheet"`
	Reviewed               bool            `bun:"reviewed"                   json:"reviewed"`
	Goal                   int             `bun:"goal"                       json:"goal"`
	Assist                 int             `bun:"assist"                     json:"assist"`
	PenaltyWon             int             `bun:"penalty_won"                json:"penaltyWon"`
	ClearanceOffLine       int             `bun:"clearance_off_line"         json:"clearanceOffLine"`
	LastManTackle          int             `bun:"last_man_tackle"            json:"lastManTackle"`
	PenaltySave            int             `bun:"penalty_save"               json:"penaltySave"`
	OwnGoal                int             `bun:"own_goal"                   json:"ownGoal"`
	RedCard                bool            `bun:"red_card"                   json:"redCard"`
	ErrorLeadToGoal        int             `bun:"error_lead_to_goal"         json:"errorLeadToGoal"`
	PenaltyConceded        int             `bun:"penalty_conceded"           json:"penaltyConceded"`
	YellowCard             int             `bun:"yellow_card"                json:"yellowCard"`
	Fouls                  int             `bun:"fouls"                      json:"fouls"`
	Fouled                 int             `bun:"fouled"                     json:"fouled"`
	CleanSheet             bool            `bun:"clean_sheet"                json:"cleanSheet"`
	DoubleDouble           bool            `bun:"double_double"              json:"doubleDouble"`
	TripleDouble           bool            `bun:"triple_double"              json:"tripleDouble"`
	TripleTriple           bool            `bun:"triple_triple"              json:"tripleTriple"`
	ErrorLeadToShot        int             `bun:"error_lead_to_shot"         json:"errorLeadToShot"`
	Saves                  int             `bun:"saves"                      json:"saves"`
	SavedShotFromInsideBox int             `bun:"saved_shot_from_inside_box" json:"savedShotFromInsideBox"`
	GoodHighClaim          int             `bun:"good_high_claim"            json:"goodHighClaim"`
	Punches                int             `bun:"punches"                    json:"punches"`
	DivingSave             int             `bun:"diving_save"                json:"divingSave"`
	DivingCatch            int             `bun:"diving_catch"               json:"divingCatch"`
	CrossNotClaimed        int             `bun:"cross_not_claimed"          json:"crossNotClaimed"`
	GoalkeeperSmother      int             `bun:"goalkeeper_smother"         json:"goalkeeperSmother"`
	SixSecondViolation     int             `bun:"six_second_violation"       json:"sixSecondViolation"`
	KeeperSweeper          int             `bun:"keeper_sweeper"             json:"keeperSweeper"`
	GoalsConceded          int             `bun:"goals_conceded"             json:"goalsConceded"`
	EffectiveClearance     int             `bun:"effective_clearance"        json:"effectiveClearance"`
	WonTackle              int             `bun:"won_tackle"                 json:"wonTackle"`
	BlockedCross           int             `bun:"blocked_cross"              json:"blockedCross"`
	Block                  int             `bun:"block"                      json:"block"`
	PossessionLost         int             `bun:"possession_lost"            json:"possessionLost"`
	PossessionWon          int             `bun:"possession_won"             json:"possessionWon"`
	DuelLost               int             `bun:"duel_lost"                  json:"duelLost"`
	DuelWon                int             `bun:"duel_won"                   json:"duelWon"`
	Interception           int             `bun:"interception"               json:"interception"`
	AccuratePass           int             `bun:"accurate_pass"              json:"accuratePass"`
	AccurateFinalThirdPass int             `bun:"accurate_final_third_pass"  json:"accurateFinalThirdPass"`
	AccurateLongBall       int             `bun:"accurate_long_ball"         json:"accurateLongBall"`
	LongPassIntoOpposition int             `bun:"long_pass_into_opposition"  json:"longPassIntoOpposition"`
	MissedPass             int             `bun:"missed_pass"                json:"missedPass"`
	ShotOnTarget           int             `bun:"shot_on_target"             json:"shotOnTarget"`
	WonContest             int             `bun:"won_contest"                json:"wonContest"`
	BigChanceCreated       int             `bun:"big_chance_created"         json:"bigChanceCreated"`
	AttemptedAssist        int             `bun:"attempted_assist"           json:"attemptedAssist"`
	PenaltyAreaEntries     int             `bun:"penalty_area_entries"       json:"penaltyAreaEntries"`
	PenaltyKickMissed      int             `bun:"penalty_kick_missed"        json:"penaltyKickMissed"`
	BigChanceMissed        int             `bun:"big_chance_missed"          json:"bigChanceMissed"`
}
